<?php

include ("includes/functions.php");

if ($_POST['versturen']) 
	{ 
 	form_controle();
	}
if ($_GET['s'] == "ok") 
	{ 
	$vermelding = "<p><b><font color='#FF0000'>Nous vous r&eacute;pondrons aussi vite que possible.<br />
Veuillez contrôler certainement vous fichiers 'Spam' et 'mails non-souhaités', car parfois, nos réponses arrivent dans ces fichiers!</font></b></p>"; 
	$vermelding2 = "";
	$vermelding3 = "";
	} else 
	
	{ 
	$vermelding = ""; 
	$vermelding2 = "
	<h1>Chèque-cadeau</h1>
		<p>Vous cherchez quelque chose d' autre ou tout simplement un petit plus?<br />
		Offrez une agr&eacute;able soir&eacute;e &agrave; des amis, &agrave; votre famille, &agrave;        des relations d' affaires. Avec un ch&egrave;que-cadeau de &quot;Het Kompas&quot;, ils ou elles        pourront se r&eacute;galer de la bonne cuisine tout en profitant de l' ambiance sympathique!        D&egrave;s qu'on a re&ccedil;u votre commande, on vous envoie le ch&egrave;que par poste ou courriel avec        nos coordonn&eacute;es bancaires</p>
                            <table width='100%' cellpadding='5' cellspacing='5'>
                            <tr>
                            <td width='100%' align='center'>
                            <p><img src='images/bon3.jpg' width='288'                             height='200' alt='Cadeaubon' /></p>
                            <p>Voulez-vous recevoir le chèque par courriel? <br />
Nous l’enverrons évidemment gratuitement!</p>
                            </td>
                            </tr>
							<tr>
                            <td width='100%' align='center'>
                            <p><img src='images/Bon1_fr.jpg' width='288'                             height='200' alt='Cadeaubon' /></p>
                            <p><br />Voulez-vous recevoir le chèque-cadeau dans une boïte-cadeau, nous           vous demandons d’ajouter € 9,00 sur le montant pour couvrir les frais de transport et port.           </p>
                            </td>
                            </tr>
                            <tr>
                            <td width='100%' align='center'>
							<p><img src='images/Bon2_fr.jpg' width='288'                             height='200' alt='Cadeaubon' /></p>
                           <p><br />Voulez-vous recevoir le chèque-cadeau simplement dans une envelope blanche, nous           vous demandons d’ajouter € 4,00 sur le montant pour couvrir les frais de transport et port.           </p>
                            </td></tr>
                            
                            </table>
	";
	$vermelding3 = "
	<p><span class='error'>*</span> = donn&eacute;es obligatoires</p>
			<form id='contactForm' action='bon_fr.php' name='DataForm' method='post' onSubmit='return            CheckRequiredFields()'>
			  <ol>
				  <li><label>Nom: <span class='error'>*</span></label>
					  <input type='text' name='naam' class='Inputbox' />
				  </li>
				  <li>
					  <label>Email: <span class='error'>*</span></label>
					  <input type='text' name='email'  class='Inputbox'/>
				  </li>
				  <li><label>Répéter Email: <span class='error'>*</span></label>
					  <input type='text' name='email2'  class='Inputbox'/>
				  </li>
				  <li><label>Numéro de Téléphone Portable (Pas de ligne fixe s.v.p.):  <span class='error'>*</span></label>
					  <input type='text' name='telnr'  class='Inputbox'/>
				  </li>
				  <li><label>Adresse: <span class='error'>*</span></label>
					  <input type='text' name='adres' class='Inputbox' />
				  </li>
				  <li>
					  <label>Commune: <span class='error'>*</span></label>
					  <input type='text' name='stad' class='Inputbox' />
				  </li>
				  <li>
					  <label>Code Postal: <span class='error'>*</span></label>
					  <input type='text' name='postcode' class='Inputbox' />
				  </li>
				  <li><label>Montant <span class='error'>*</span></label>
					  <input type='text' name='bedrag' class='Inputbox' />
				  </li>
				  <li><label>Chèque-cadeau</label>
					  <select name='verpakking'>
						  <option value='luxe'>boîte-cadeau (+ €9)</option>
						  <option value='standaard'>standard/envelope (+ 4€)</option>
						  <option value='pdf'>PDF par e-mail (+0€)</option>
					  </select>
				  </li>
				  <p><div align='center'><input type='submit' class='Inputbox' name='versturen' value='Envoyer' /></div></p>
				  <li class='antispam'><label>Gelieve dit veld leeg te laten:</label><input name='url' /></li>
			  </ol>
							</form>
	";
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Het Kompas :: Cadeaubon Invulformulier</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="viewport" content="width=device-width">
<? MetaStuff (); ?>
<link rel="stylesheet" href="includes/meanmenu.css" media="all" />
<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="includes//jquery.meanmenu.js"></script> 
<script>
jQuery(document).ready(function () {
    jQuery('nav').meanmenu();
});
</script>
<link href="style.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" language="JavaScript">

function CheckRequiredFields() {
var errormessage = new String();
// Put field checks below this point.

if(WithoutContent(document.DataForm.naam.value))
	{ errormessage += "\n\nNom SVP."; }
if(WithoutContent(document.DataForm.email.value))
	{ errormessage += "\n\nEmail SVP."; }
if(WithoutContent(document.DataForm.telnr.value))
	{ errormessage += "\n\nTel SVP."; }		
if(WithoutContent(document.DataForm.adres.value))
	{ errormessage += "\n\nAdresse SVP."; }	
if(WithoutContent(document.DataForm.stad.value))
	{ errormessage += "\n\nCommune SVP."; }		
if(WithoutContent(document.DataForm.postcode.value))
	{ errormessage += "\n\nCode Postal SVP."; }	
if(WithoutContent(document.DataForm.bedrag.value))
	{ errormessage += "\n\nMontant SVP."; }		
if (document.DataForm.email.value != document.DataForm.email2.value) {
	errormessage += "\n\nVos 2 adresses e-mail ne se ressemblent pas.";
}
// Put field checks above this point.
if(errormessage.length > 2) {
	alert('NOTE:' + errormessage);
	return false;
	}
return true;
} // end of function CheckRequiredFields()


function WithoutContent(ss) {
if(ss.length > 0) { return false; }
return true;
}

function NoneWithContent(ss) {
for(var i = 0; i < ss.length; i++) {
	if(ss[i].value.length > 0) { return false; }
	}
return true;
}

function NoneWithCheck(ss) {
for(var i = 0; i < ss.length; i++) {
	if(ss[i].checked) { return false; }
	}
return true;
}

function WithoutCheck(ss) {
if(ss.checked) { return false; }
return true;
}

function WithoutSelectionValue(ss) {
for(var i = 0; i < ss.length; i++) {
	if(ss[i].selected) {
		if(ss[i].value.length) { return false; }
		}
	}
return true;
}

//-->
</script>

<script type="text/javascript">
<!--
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>
</head>
<body onload="MM_preloadImages('images/BlockMenu_o.jpg','images/BlockDrank_o.jpg','images/BlockEnquete_o.jpg','images/BlockCBon_o.jpg')">
<div align="center">
	<div id="Wrapper">
		<div id="Header">
			<div id="HeaderNavigContainer">
				<div id="mobile-nav">
				<nav class="mob-menu">
					<ul class="HeaderNavig">
					<li><a href="index_fr.php">Bienvenue</a></li>
					<li><a href="fotogal_fr.php">Photos</a></li>
					<li><a href="artikels_fr.php">articles &amp; Media</a></li>
					<li><a href="contact_fr.php" id="current">Contact</a></li>
					<li><a href="ligging_fr.php">info &amp; situation</a></li>
				</ul>
				</nav>
				</div>
			</div>
			<div class="langsel"><a href="bon.php">Nederlands</a></div>
		</div>
		<div id="SubHeader">&nbsp;</div>
		<div id="Content">
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td id="LeftSide">
						<div class="LeftSide">
						<? SubMenu_fr (); ?>
						</div>
					</td>
					<td id="CenterPage">
						<div class="CenterPage">
							<p><?php echo $vermelding2; ?></p>
							<p><?php echo $vermelding; ?></p>
                            <p><?php echo $vermelding3; ?></p>
							
						</div>
					</td>
					<td id="RightSide">
						<img src="images/HomePagePhoto-1212.jpg" width="234" height="157" alt="Het Kompas foto 1" /><br /><br />
						<img src="images/HomePagePhoto-1212-3.jpg" width="234" height="300" alt="Het Kompas foto 2" /><br /><br />
						<a href="http://www.faq.hetkompas.be/FAQ FR.pdf" target="new"><img src="images/faq.png" width="234" height="127" alt="Het Kompas Faq" /></a></a>	<br />
					</td>
				</tr>
			</table>
		</div>
	</div>
	<div id="Footer">&nbsp;</div>
	<div id="FooterContent">
		<? FooterContent_fr (); ?>
	</div>
</div>
<? GoogleAnal (); ?>

<script>
  (function (w,i,d,g,e,t,s) {w[d] = w[d]||[];t= i.createElement(g);
    t.async=1;t.src=e;s=i.getElementsByTagName(g)[0];s.parentNode.insertBefore(t, s);
  })(window, document, '_gscq','script','//widgets.getsitecontrol.com/137588/script.js');
</script>


</body>
</html>

<?php
function form_controle()
{

$naam = ($_POST['naam']);
$telnr = ($_POST['telnr']);
$email = ($_POST['email']);
$adres = ($_POST['adres']);
$stad = ($_POST['stad']);
$postcode = ($_POST['postcode']);
$bedrag = ($_POST['bedrag']);
$verpakking = ($_POST['verpakking']);
$url = ($_POST['url']);
		
// Nu stuur ik een email om te zeggen dat er iemand bijgekomen is voor de mailing. 

$to = "info@hetkompas.be"; 
$subject = "Aanvraag voor een Cadeaubon FR";
$body = stripslashes ("
<html><title>Aanvraag voor een Cadeaubon FR</title>
<body bgcolor=\"#FFFFFF\" text=\"#000000\">
<font size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\">
<strong>Naam:</strong> $naam<br />
<strong>Tel:</strong> $telnr<br />
<strong>E-mail:</strong> $email<br />
<strong>Adres:</strong> $adres<br />
<strong>Postcode:</strong> $postcode<br />
<strong>Stad:</strong> $stad<br />
<strong>Bedrag:</strong> $bedrag<br />
<strong>Verpakking:</strong> $verpakking<br />
");
$headers ='X-Mailer: PHP/' . phpversion() . "\n";
$headers .= 'MIME-Version: 1.0' . "\n";
$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\n";
$headers .= 'From: '.$email.''."\r\n";

if(isset($_POST['url']) && $_POST['url'] == '')
{
mail($to, $subject, $body, $headers,'-finfo@hetkompas.be'); 
}
else
{
	echo '<p>This is spam</p>';
}

header("Location:bon_fr.php?s=ok");

}
?>